---
title: HMDVRDevice.getEyeParameters()
slug: Web/API/HMDVRDevice/getEyeParameters
tags:
  - API
  - Experimental
  - Expérimental(2)
  - HMDVRDevice
  - Method
  - Obsolete
  - Reference
  - Référence(2)
  - VR
  - Virtual Reality
  - WebVR
---
<div>{{obsolete_header()}}{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>getEyeParameters()</code></strong> method of the {{domxref("HMDVRDevice")}} interface returns current parameters for the eye specified as its argument ("left" or "right") — stored in a {{domxref("VREyeParameters")}} object.</p>

<p>This includes field of view information, and more.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myLeftEye = HMDVRDevice.getEyeParameters('left');</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>whichEye</code></dt>
 <dd>A {{domxref("DOMString")}} representing the eye you want to return information about. The value can be <code>left</code> or <code>right</code>.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("VREyeParameters")}} object.</p>

<h2 id="Examples">Examples</h2>

<p>The following example is taken from the Mozilla VR Team's <a class="external external-icon" href="https://github.com/MozVR/vr-web-examples/tree/master/threejs-vr-boilerplate">threejs-vr-boilerplate</a> code — to be precise, the <a href="https://github.com/MozVR/vr-web-examples/blob/master/threejs-vr-boilerplate/js/VREffect.js#L28-L29">VREffect.js file</a>. Early on in the code the <code>getEyeParameters()</code> method is used to access information about each eye, which is then used for rendering calulations later on.</p>

<pre class="brush: js">if ( vrHMD.getEyeParameters !== undefined ) {
    var eyeParamsL = vrHMD.getEyeParameters( 'left' );
    var eyeParamsR = vrHMD.getEyeParameters( 'right' );

    eyeTranslationL = eyeParamsL.eyeTranslation;
    eyeTranslationR = eyeParamsR.eyeTranslation;
    eyeFOVL = eyeParamsL.recommendedFieldOfView;
    eyeFOVR = eyeParamsR.recommendedFieldOfView;
} else {
  ...
}</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HMDVRDevice.getEyeParameters")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a>.</li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
